# write some example images

# 1A.png, 1B.png, .... 12A.png, 12B.png

from PIL import Image, ImageDraw, ImageFont

FONT_NAME = "/usr/share/fonts/truetype/dejavu/DejaVuSans-Bold.ttf"
FONT = ImageFont.truetype(FONT_NAME, size=100)
COLOURS = [
    "#817","#a35","#c66","#e94","#ed0","#9d5",
    "#4d8","#2cb","#0bc","#09c","#36b","#639"
]

image_texts = [
    (number, letter)
    for number in range(1,13)
    for letter in "AB"
]

for idx, (number, letter) in enumerate(image_texts):
    im = Image.new("RGB",(200,200), color="#333")
    draw = ImageDraw.Draw(im)
    draw.text(
        (0,0),
        f"{number}\n{letter}",
        fill=COLOURS[idx % len(COLOURS)],
        font=FONT
    )
    im.save(f"{number}{letter}.png")

